@echo off
setlocal enabledelayedexpansion

set /p file_path=请输入文件地址（输入0表示此文件地址, 输入00表示此文件夹地址并且不需要文件后缀）：
if "%file_path%"=="0" (
    set "file_path=%~dp0"
    set "suffix=0"
) else if "%file_path%"=="00" (
    set "file_path=%cd%\"
    set "suffix=0"
) else (
    set "file_path=%file_path%"
    set /p suffix=请输入文件后缀（输入0表示所有文件）：
)

set index=1

if "%suffix%"=="0" (
    for %%f in ("%file_path%\*") do (
        if not "%%~ff"=="%~ff0" (
            set new_name=!index!%%~xf
            ren "%%~f" "!new_name!"
            set /a index+=1
        )
    )
) else (
    for %%f in ("%file_path%\*%suffix%") do (
        if not "%%~ff"=="%~ff0" (
            set new_name=!index!%%~xf
            ren "%%~f" "!new_name!"
            set /a index+=1
        )
    )
)

echo "所有文件已经按照指定顺序重命名完成。"
